Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.util
Class CompozeHome

    java.lang.Object
      com.compoze.util.CompozeHome

All Implemented Interfaces:
  java.io.Serializable

public class CompozeHome
extends java.lang.Object
implements java.io.Serializable

This class provides access to the Compoze home directory. The home directory is used to store properties files, user preference files, and any application specific saved files. By accessing the directories through this class it is insured that the directories are created before they are used.

See Also:
  Serialized Form

Constructor Summary
`CompozeHome()`

Method Summary
`static java.io.File` | `getConfigDirectory()` Get the config directory.
`static java.io.File` | `getHomeDirectory()` Get the Compoze home directory.
`static java.io.File` | `getLicenseDirectory()` Get the config directory.
`static java.io.File` | `getLogDirectory()` Get the directory that log files should be written to.
`static java.io.File` | `getSQLScriptsDirectory()` Get the sql scripts directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompozeHome

    public CompozeHome()

Method Detail

### getHomeDirectory

    public static java.io.File getHomeDirectory()

  Get the Compoze home directory. This is defined by the system property `com.compoze.home`.

  Returns:
    the home directory

### getConfigDirectory

    public static java.io.File getConfigDirectory()

  Get the config directory. This is the "config" directory off of the home directory.

  Returns:
    the config directory

### getLicenseDirectory

    public static java.io.File getLicenseDirectory()

  Get the config directory. This is the "config" directory off of the home directory.

  Returns:
    the license directory

### getLogDirectory

    public static java.io.File getLogDirectory()

  Get the directory that log files should be written to.

  Returns:
    the log directory

### getSQLScriptsDirectory

    public static java.io.File getSQLScriptsDirectory()

  Get the sql scripts directory. This is the "dbscripts" directory off of the home directory.

  Returns:
    the license directory

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.